## vdr-plugin-epgsearch 1.0.1~beta6+git20150211

=== Makefile ===
#
# Makefile for epgsearch, a Video Disk Recorder plugin
#
# Christian Wieninger cwieninger at gmx.de
#
# Adapted to the new VDR makefile environment by Copperhead,
# refined by Stefan Hofmann
#

### ------------
### CONFIG START
###
### to change an option just edit the value: 0 => false, 1 => true


### edit one of these lines to '1', if you don't want the addon epgsearchonly, 
### conflictcheckonly or quickepgsearch

WITHOUT_EPGSEARCHONLY=0
WITHOUT_CONFLICTCHECKONLY=0
WITHOUT_QUICKSEARCH=0

### edit this to '0' if you don't want epgsearch to auto config itself
AUTOCONFIG=1

### if AUTOCONFIG is not active you can manually enable the
### optional modules or patches for other plugins
ifeq ($(AUTOCONFIG),0)
# if you want to use Perl compatible regular expressions (PCRE) or libtre for
# unlimited fuzzy searching, uncomment this and set the value to pcre or tre
# also have a look at INSTALL for further notes on this

#REGEXLIB = pcre

# uncomment this to enable support for the pin plugin.

#USE_PINPLUGIN = 1

# uncomment this to enable support for the graphtft plugin.
#USE_GRAPHTFT = 1

endif

### the sendmail executable to use when epgsearch is configured to use the
### sendmail method for sending mail
SENDMAIL = /usr/sbin/sendmail

###
### CONFIG END
### do not edit below this line if you don't know what you do ;-)
### -------------------------------------------------------------

PLUGIN = epgsearch
MAINMENUSHORTCUT = epgsearchmainmenushortcut
PLUGIN2 = epgsearchonly
PLUGIN3 = conflictcheckonly
PLUGIN4 = quickepgsearch

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
#PKGCFG   = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
PKGCFG   = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
 
LIBDIR   = $(call PKGCFG,libdir)
LOCDIR   = $(call PKGCFG,locdir)
MANDIR   = $(call PKGCFG,mandir)
CONFDIR  = $(call PKGCFG,configdir)
BINDIR   = $(call PKGCFG,bindir)
#
TMPDIR ?= /tmp

PLGCFG = $(call PKGCFG,plgcfg)
-include $(PLGCFG)

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### configuring modules
ifeq ($(AUTOCONFIG),1)
	ifeq (exists, $(shell pkg-config libpcre && echo exists))
		REGEXLIB = pcre
	else ifeq (exists, $(shell pkg-config tre && echo exists))
		REGEXLIB = tre
	endif
	ifeq (exists, $(shell test -e ../pin && echo exists))
		USE_PINPLUGIN = 1
	endif
	ifeq (exists, $(shell test -e ../graphtft && echo exists))
		USE_GRAPHTFT = 1
	endif
	ifeq (exists, $(shell test -e ../graphtftng && echo exists))
		USE_GRAPHTFT = 1
	endif
endif

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += 

ifneq ($(SENDMAIL),)
DEFINES += -DSENDMAIL='"$(SENDMAIL)"'
endif

### The object files (add further files here):

ALL = libvdr-$(PLUGIN).so createcats
ifeq ($(WITHOUT_EPGSEARCHONLY), 0)
  ALL += libvdr-$(PLUGIN2).so
endif
ifeq ($(WITHOUT_CONFLICTCHECKONLY), 0)
  ALL += libvdr-$(PLUGIN3).so
endif
ifeq ($(WITHOUT_QUICKSEARCH), 0)
  ALL += libvdr-$(PLUGIN4).so
endif

OBJS = afuzzy.o blacklist.o changrp.o confdloader.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o pending_notifications.o rcfile.o  recdone.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o timerstatus.o uservars.o varparser.o

ifeq ($(REGEXLIB), pcre)
LIBS += $(shell pcre-config --libs-posix)
#LIBS += -L/usr/lib -lpcreposix -lpcre
INCLUDE += $(shell pcre-config --cflags)
DEFINES += -DHAVE_PCREPOSIX
else ifeq ($(REGEXLIB), tre)
LIBS += -L$(shell pkg-config --variable=libdir tre) $(shell pkg-config --libs tre)
#LIBS += -L/usr/lib -ltre
DEFINES += -DHAVE_LIBTRE
INCLUDE += $(shell pkg-config --cflags tre)
endif

ifdef USE_PINPLUGIN
DEFINES += -DUSE_PINPLUGIN
endif

ifdef USE_GRAPHTFT
DEFINES += -DUSE_GRAPHTFT
endif

ifdef CFLC
DEFINES += -DCFLC
endif

ifdef DEBUG_CONFL
DEFINES += -DDEBUG_CONFL
endif

ifdef PLUGIN_EPGSEARCH_MAX_SUBTITLE_LENGTH
DEFINES += -DMAX_SUBTITLE_LENGTH='$(PLUGIN_EPGSEARCH_MAX_SUBTITLE_LENGTH)'
endif

### length of the filling '-' in the channel separators, defaults to
### "----------------------------------------"
### overwrite this with PLUGIN_EPGSEARCH_SEP_ITEMS=---
### to avoid problems with graphlcd
ifdef PLUGIN_EPGSEARCH_SEP_ITEMS
DEFINES += -DMENU_SEPARATOR_ITEMS='"$(PLUGIN_EPGSEARCH_SEP_ITEMS)"'
endif

OBJS2    = mainmenushortcut.o epgsearchonly.o
LIBS2    =

OBJS3    = mainmenushortcut.o conflictcheckonly.o
LIBS3    =

OBJS4    = mainmenushortcut.o quickepgsearch.o
LIBS4    =

### The main target:

all: $(ALL) i18n docs

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN)"' $(INCLUDES) -o $@ $<
mainmenushortcut.o: mainmenushortcut.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(MAINMENUSHORTCUT)"' $(INCLUDES) -o $@ $<
epgsearchonly.o: epgsearchonly.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN2)"' $(INCLUDES) -o $@ $<
conflictcheckonly.o: conflictcheckonly.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN3)"' $(INCLUDES) -o $@ $<
quickepgsearch.o: quickepgsearch.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN4)"' $(INCLUDES) -o $@ $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) $(OBJS2:%.o=%.c) $(OBJS3:%.o=%.c) $(OBJS4:%.o=%.c)> $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@

libvdr-$(PLUGIN2).so: $(OBJS2)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS2) $(LIBS2) -o $@

libvdr-$(PLUGIN3).so: $(OBJS3)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS3) $(LIBS3) -o $@

libvdr-$(PLUGIN4).so: $(OBJS4)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS4) $(LIBS4) -o $@

createcats: createcats.o Makefile
	$(CXX) $(CXXFLAGS) $(LDFLAGS) createcats.o -o $@

docs:
	./docsrc2man.sh
	./docsrc2html.sh
	ln -sf ./doc/en/epgsearch.4.txt MANUAL
	ln -sf ./doc/en/epgsearch.1.txt README
	ln -sf ./doc/de/epgsearch.1.txt README.DE

install-$(PLUGIN): libvdr-$(PLUGIN).so
	install -D libvdr-$(PLUGIN).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN).so.$(APIVERSION)

install-$(PLUGIN2): libvdr-$(PLUGIN2).so
	install -D libvdr-$(PLUGIN2).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN2).so.$(APIVERSION)

install-$(PLUGIN3): libvdr-$(PLUGIN3).so
	install -D libvdr-$(PLUGIN3).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN3).so.$(APIVERSION)

install-$(PLUGIN4): libvdr-$(PLUGIN4).so
	install -D libvdr-$(PLUGIN4).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN4).so.$(APIVERSION)

install-conf:
	mkdir -p $(DESTDIR)$(CONFDIR)/plugins/$(PLUGIN)/conf.d
	cp -n conf/* $(DESTDIR)$(CONFDIR)/plugins/$(PLUGIN)

install-doc:
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	mkdir -p $(DESTDIR)$(MANDIR)/man4
	mkdir -p $(DESTDIR)$(MANDIR)/man5
	mkdir -p $(DESTDIR)$(MANDIR)/de/man1
	mkdir -p $(DESTDIR)$(MANDIR)/de/man5
	cp man/en/*1.gz $(DESTDIR)$(MANDIR)/man1/
	cp man/en/*4.gz $(DESTDIR)$(MANDIR)/man4/
	cp man/en/*5.gz $(DESTDIR)$(MANDIR)/man5/
	cp man/de/*1.gz $(DESTDIR)$(MANDIR)/de/man1/
	cp man/de/*5.gz $(DESTDIR)$(MANDIR)/de/man5/

install-bin: createcats
	mkdir -p $(DESTDIR)$(BINDIR)
	cp createcats $(DESTDIR)$(BINDIR)

install: install-lib install-i18n install-conf install-doc install-bin

install-lib: install-$(PLUGIN) install-$(PLUGIN2) install-$(PLUGIN3) install-$(PLUGIN4)

dist: docs clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/doc-src
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/html
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/docsrc2man.sh
	@-rm -rf $(TMPDIR)/$(ARCHIVE)/docsrc2html.sh
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@ln -sf README.git README
	@echo Distribution package created as $(PACKAGE).tgz

distfull: docs clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@ln -sf README.git README
	@echo complete distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* createcats createcats.o pod2*.tmp
	@-find . \( -name "*~" -o -name "#*#" \) -print0 | xargs -0r rm -f
	@-rm -rf doc html man

=== debian/changelog ===
vdr-plugin-epgsearch (1.0.1~beta6+git20150211-4) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d  mechanism
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 21:55:56 +0100

vdr-plugin-epgsearch (1.0.1~beta6+git20150211-3) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:44 +0100

vdr-plugin-epgsearch (1.0.1~beta6+git20150211-2) unstable; urgency=medium

  * New Upstream Snapshot (commit a908daa)
  * Build-depend on vdr-dev (>= 2.1.10)

 -- Tobias Grimm <etobi@debian.org>  Thu, 12 Feb 2015 21:23:23 +0100

vdr-plugin-epgsearch (1.0.1~beta3-6) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:02:31 +0100

=== debian/control ===
Source: vdr-plugin-epgsearch
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), pkg-config, gettext, pkg-config
Standards-Version: 3.9.6
Homepage: http://winni.vdr-developer.org/epgsearch/
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-epgsearch.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-epgsearch.git

Package: vdr-plugin-epgsearch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}, sendemail
Description: VDR plugin that provides extensive EPG searching capabilities
 This plugin for the Linux Video Disc Recorder (VDR) allows searching the EPG
 (electronic programme guide) data by defining search terms that can
 permanently be stored in a list for later reuse. It supports regular
 expressions and is capable of doing fuzzy searches. EPG-Search scans the EPG
 in background and can automatically create timers for matching search terms.
 Besides this it supports searching for repetitions, detection of timer
 conflicts, sending emails on timer events and much more. Search terms can
 also be added and modified with vdradmin-am, a web frontend for VDR.

## vdr-plugin-epgsearch 2.2.0+git20170817

=== Makefile ===
--- 
+++ 
@@ -132,7 +132,7 @@
   ALL += libvdr-$(PLUGIN4).so
 endif
 
-OBJS = afuzzy.o blacklist.o changrp.o confdloader.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o pending_notifications.o rcfile.o  recdone.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o timerstatus.o uservars.o varparser.o
+OBJS = afuzzy.o blacklist.o changrp.o confdloader.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o pending_notifications.o rcfile.o  recdone.o recdone_thread.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o timerstatus.o uservars.o varparser.o
 
 ifeq ($(REGEXLIB), pcre)
 LIBS += $(shell pcre-config --libs-posix)
@@ -190,15 +190,20 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN)"' $(INCLUDES) -o $@ $<
+	@echo CC $@
+	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN)"' $(INCLUDES) -o $@ $<
 mainmenushortcut.o: mainmenushortcut.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(MAINMENUSHORTCUT)"' $(INCLUDES) -o $@ $<
+	@echo CC $@
+	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(MAINMENUSHORTCUT)"' $(INCLUDES) -o $@ $<
 epgsearchonly.o: epgsearchonly.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN2)"' $(INCLUDES) -o $@ $<
+	@echo CC $@
+	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN2)"' $(INCLUDES) -o $@ $<
 conflictcheckonly.o: conflictcheckonly.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN3)"' $(INCLUDES) -o $@ $<
+	@echo CC $@
+	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN3)"' $(INCLUDES) -o $@ $<
 quickepgsearch.o: quickepgsearch.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN4)"' $(INCLUDES) -o $@ $<
+	@echo CC $@
+	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN4)"' $(INCLUDES) -o $@ $<
 
 # Dependencies:
 
@@ -207,7 +212,19 @@
 $(DEPFILE): Makefile
 	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) $(OBJS2:%.o=%.c) $(OBJS3:%.o=%.c) $(OBJS4:%.o=%.c)> $@
 
+ifneq ($(MAKECMDGOALS),clean)
 -include $(DEPFILE)
+endif
+
+DEPFILE_DOC = .dependencies_doc
+DEPFILE_stmp = .doc_stmp
+$(DEPFILE_DOC): Makefile
+	@rm -f $(DEPFILE_DOC)
+	@./docsrc2man.sh --depend $(DEPFILE_stmp) > $(DEPFILE_DOC)
+
+ifneq ($(MAKECMDGOALS),clean)
+-include $(DEPFILE_DOC)
+endif
 
 ### Internationalization (I18N):
 
@@ -218,17 +235,21 @@
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
-	msgfmt -c -o $@ $<
+	@echo MO $@
+	$(Q)msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`
+	@echo GT$@
+	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
-	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
+	@echo PO $@
+	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
 	@touch $@
 
 $(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
-	install -D -m644 $< $@
+	@echo IN $@
+	$(Q)install -D -m644 $< $@
 
 .PHONY: i18n
 i18n: $(I18Nmo) $(I18Npot)
@@ -238,38 +259,51 @@
 ### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
+	@echo LD $@
+	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
 
 libvdr-$(PLUGIN2).so: $(OBJS2)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
+	@echo LD $@
+	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
 
 libvdr-$(PLUGIN3).so: $(OBJS3)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS3) $(LIBS3) -o $@
+	@echo LD $@
+	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS3) $(LIBS3) -o $@
 
 libvdr-$(PLUGIN4).so: $(OBJS4)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS4) $(LIBS4) -o $@
+	@echo LD $@
+	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS4) $(LIBS4) -o $@
 
 createcats: createcats.o Makefile
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) createcats.o -o $@
-
-docs:
+	@echo LD $@
+	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) createcats.o -o $@
+
+$(DEPFILE_stmp):
 	./docsrc2man.sh
 	./docsrc2html.sh
 	ln -sf ./doc/en/epgsearch.4.txt MANUAL
 	ln -sf ./doc/en/epgsearch.1.txt README
 	ln -sf ./doc/de/epgsearch.1.txt README.DE
+	@rm -f $(DEPFILE_stmp)
+	@date > $(DEPFILE_stmp)
+
+docs: $(DEPFILE_stmp)
 
 install-$(PLUGIN): libvdr-$(PLUGIN).so
-	install -D libvdr-$(PLUGIN).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN).so.$(APIVERSION)
+	@echo IN $@
+	$(Q)install -D libvdr-$(PLUGIN).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN).so.$(APIVERSION)
 
 install-$(PLUGIN2): libvdr-$(PLUGIN2).so
-	install -D libvdr-$(PLUGIN2).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN2).so.$(APIVERSION)
+	@echo IN $@
+	$(Q)install -D libvdr-$(PLUGIN2).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN2).so.$(APIVERSION)
 
 install-$(PLUGIN3): libvdr-$(PLUGIN3).so
-	install -D libvdr-$(PLUGIN3).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN3).so.$(APIVERSION)
+	@echo IN $@
+	$(Q)install -D libvdr-$(PLUGIN3).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN3).so.$(APIVERSION)
 
 install-$(PLUGIN4): libvdr-$(PLUGIN4).so
-	install -D libvdr-$(PLUGIN4).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN4).so.$(APIVERSION)
+	@echo IN $@
+	$(Q)install -D libvdr-$(PLUGIN4).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN4).so.$(APIVERSION)
 
 install-conf:
 	mkdir -p $(DESTDIR)$(CONFDIR)/plugins/$(PLUGIN)/conf.d
@@ -322,3 +356,5 @@
 	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* createcats createcats.o pod2*.tmp
 	@-find . \( -name "*~" -o -name "#*#" \) -print0 | xargs -0r rm -f
 	@-rm -rf doc html man
+	@-rm -f MANUAL README README.DE
+	@-rm -f $(DEPFILE_stmp) $(DEPFILE_DOC)

=== debian/changelog ===
vdr-plugin-epgsearch (2.2.0+git20170817-1) unstable; urgency=medium

  * New Upstream Snapshot (commit f25c390) (Closes: #872485)
  * Build-depend on vdr-dev >= 2.3.8

 -- Tobias Grimm <etobi@debian.org>  Fri, 18 Aug 2017 00:29:29 +0200

vdr-plugin-epgsearch (1.0.1~beta6+git20151104-1) unstable; urgency=medium

  * New upstream snapshot from 
    https://github.com/flensrocker/vdr-plugin-epgsearch
    (commit 99b6e99883d151dae02dd458e2732960872cfd2b)
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Jan 2017 10:04:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), pkg-config, gettext, pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.3.8), pkg-config, gettext, pkg-config
+Standards-Version: 3.9.8
 Homepage: http://winni.vdr-developer.org/epgsearch/
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-epgsearch.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-epgsearch.git

=== debian/watch ===
version=2
http://winni.vdr-developer.org/epgsearch/downloads/ vdr-epgsearch-(.*)\.tgz

## vdr-plugin-epgsearch 2.4.0+git20190507

=== debian/changelog ===
vdr-plugin-epgsearch (2.4.0+git20190507-2) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Thu, 18 Jul 2019 09:42:43 +0200

vdr-plugin-epgsearch (2.4.0+git20190507-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 770de32) (Closes: #916654)
  * Standards-Version: 4.3.0
  * Updated patches
  * Fixed manpages with missing "NAME"

 -- Tobias Grimm <etobi@debian.org>  Sat, 11 May 2019 15:25:46 +0200

vdr-plugin-epgsearch (2.2.0+git20170817-2) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:06:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: vdr-plugin-epgsearch
 Section: video
-Priority: extra
+Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.3.8), pkg-config, gettext, pkg-config
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), pkg-config, gettext, pkg-config
+Standards-Version: 4.3.0
 Homepage: http://winni.vdr-developer.org/epgsearch/
-Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-epgsearch.git
-Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-epgsearch.git
+Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch.git
+Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch
 
 Package: vdr-plugin-epgsearch
 Architecture: any

## vdr-plugin-epgsearch 2.4.0+git20191101

=== debian/changelog ===
vdr-plugin-epgsearch (2.4.0+git20191101-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 84811de)
  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 13:27:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
 Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), pkg-config, gettext, pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://winni.vdr-developer.org/epgsearch/
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch

## vdr-plugin-epgsearch 2.4.1

=== Makefile ===
--- 
+++ 
@@ -63,8 +63,11 @@
 ### The directory environment:
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
-#PKGCFG   = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-PKGCFG   = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
+
+PKG_CONFIG ?= pkg-config
+
+#PKGCFG   = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell $(PKG_CONFIG) --variable=$(1) vdr || $(PKG_CONFIG) --variable=$(1) ../../../vdr.pc))
+PKGCFG   = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
  
 LIBDIR   = $(call PKGCFG,libdir)
 LOCDIR   = $(call PKGCFG,locdir)
@@ -84,9 +87,9 @@
 
 ### configuring modules
 ifeq ($(AUTOCONFIG),1)
-	ifeq (exists, $(shell pkg-config libpcre && echo exists))
+	ifeq (exists, $(shell $(PKG_CONFIG) libpcre && echo exists))
 		REGEXLIB = pcre
-	else ifeq (exists, $(shell pkg-config tre && echo exists))
+	else ifeq (exists, $(shell $(PKG_CONFIG) tre && echo exists))
 		REGEXLIB = tre
 	endif
 	ifeq (exists, $(shell test -e ../pin && echo exists))
@@ -140,10 +143,10 @@
 INCLUDE += $(shell pcre-config --cflags)
 DEFINES += -DHAVE_PCREPOSIX
 else ifeq ($(REGEXLIB), tre)
-LIBS += -L$(shell pkg-config --variable=libdir tre) $(shell pkg-config --libs tre)
+LIBS += -L$(shell $(PKG_CONFIG) --variable=libdir tre) $(shell $(PKG_CONFIG) --libs tre)
 #LIBS += -L/usr/lib -ltre
 DEFINES += -DHAVE_LIBTRE
-INCLUDE += $(shell pkg-config --cflags tre)
+INCLUDE += $(shell $(PKG_CONFIG) --cflags tre)
 endif
 
 ifdef USE_PINPLUGIN

=== debian/changelog ===
vdr-plugin-epgsearch (2.4.1-2) unstable; urgency=medium

  * Build-depend on vdr 2.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 09:10:13 +0100

vdr-plugin-epgsearch (2.4.1-1) unstable; urgency=medium

  * Included git repository in debian/watch to get latest releases
  * New upstream version 2.4.1 (Closes: #958140)
  * Remove 03_fix-docs.patch - fixed upstream
  * Standards-Version: 4.6.0
  * Update debhelper compatibility to 13
  * Convert epg2taste.sh and rememberevent.sh to UTF-8
  * Rename debian/TODO.Debian to debian/TODO
  * Build-depend on vdr-dev >= 2.4.7 (Closes: #984386)

 -- Tobias Grimm <etobi@debian.org>  Sun, 05 Dec 2021 20:31:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), pkg-config, gettext, pkg-config
-Standards-Version: 4.4.1
+Uploaders: Tobias Grimm <etobi@debian.org>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config, gettext, pkg-config
+Standards-Version: 4.6.0
 Homepage: http://winni.vdr-developer.org/epgsearch/
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch

=== debian/watch ===
version=4
https://projects.vdr-developer.org/git/vdr-plugin-epgsearch.git/ .*/vdr-plugin-epgsearch-(.*).tar.gz

http://winni.vdr-developer.org/epgsearch/downloads/ vdr-epgsearch-(.*)\.tgz

## vdr-plugin-epgsearch 2.4.3

=== Makefile ===
--- 
+++ 
@@ -27,10 +27,10 @@
 ### optional modules or patches for other plugins
 ifeq ($(AUTOCONFIG),0)
 # if you want to use Perl compatible regular expressions (PCRE) or libtre for
-# unlimited fuzzy searching, uncomment this and set the value to pcre or tre
-# also have a look at INSTALL for further notes on this
-
-#REGEXLIB = pcre
+# unlimited fuzzy searching, uncomment this and set the value to pcre/pcre2
+# or tre -  also have a look at INSTALL for further notes on this
+
+#REGEXLIB = pcre2
 
 # uncomment this to enable support for the pin plugin.
 
@@ -87,11 +87,14 @@
 
 ### configuring modules
 ifeq ($(AUTOCONFIG),1)
-	ifeq (exists, $(shell $(PKG_CONFIG) libpcre && echo exists))
+	ifeq (exists, $(shell $(PKG_CONFIG) libpcre2-posix && echo exists))
+    REGEXLIB = pcre2
+	else ifeq (exists, $(shell $(PKG_CONFIG) libpcre && echo exists))
 		REGEXLIB = pcre
 	else ifeq (exists, $(shell $(PKG_CONFIG) tre && echo exists))
 		REGEXLIB = tre
 	endif
+
 	ifeq (exists, $(shell test -e ../pin && echo exists))
 		USE_PINPLUGIN = 1
 	endif
@@ -137,14 +140,16 @@
 
 OBJS = afuzzy.o blacklist.o changrp.o confdloader.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o pending_notifications.o rcfile.o  recdone.o recdone_thread.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o timerstatus.o uservars.o varparser.o
 
-ifeq ($(REGEXLIB), pcre)
+ifeq ($(REGEXLIB), pcre2)
+LIBS += $(shell pcre2-config --libs-posix)
+INCLUDE += $(shell pcre2-config --cflags)
+DEFINES += -DHAVE_PCRE2POSIX
+else ifeq ($(REGEXLIB), pcre)
 LIBS += $(shell pcre-config --libs-posix)
-#LIBS += -L/usr/lib -lpcreposix -lpcre
 INCLUDE += $(shell pcre-config --cflags)
 DEFINES += -DHAVE_PCREPOSIX
 else ifeq ($(REGEXLIB), tre)
 LIBS += -L$(shell $(PKG_CONFIG) --variable=libdir tre) $(shell $(PKG_CONFIG) --libs tre)
-#LIBS += -L/usr/lib -ltre
 DEFINES += -DHAVE_LIBTRE
 INCLUDE += $(shell $(PKG_CONFIG) --cflags tre)
 endif
@@ -163,10 +168,6 @@
 
 ifdef DEBUG_CONFL
 DEFINES += -DDEBUG_CONFL
-endif
-
-ifdef PLUGIN_EPGSEARCH_MAX_SUBTITLE_LENGTH
-DEFINES += -DMAX_SUBTITLE_LENGTH='$(PLUGIN_EPGSEARCH_MAX_SUBTITLE_LENGTH)'
 endif
 
 ### length of the filling '-' in the channel separators, defaults to
@@ -310,9 +311,13 @@
 
 install-conf:
 	mkdir -p $(DESTDIR)$(CONFDIR)/plugins/$(PLUGIN)/conf.d
-	cp -n conf/* $(DESTDIR)$(CONFDIR)/plugins/$(PLUGIN)
-
-install-doc:
+	@for i in conf/*; do\
+	    if ! [ -e $(DESTDIR)$(CONFDIR)/plugins/$$i ] ; then\
+	        cp -p $$i $(DESTDIR)$(CONFDIR)/plugins/$(PLUGIN);\
+	        fi\
+	    done
+
+install-doc: docs
 	mkdir -p $(DESTDIR)$(MANDIR)/man1
 	mkdir -p $(DESTDIR)$(MANDIR)/man4
 	mkdir -p $(DESTDIR)$(MANDIR)/man5

=== debian/changelog ===
vdr-plugin-epgsearch (2.4.3-2) unstable; urgency=medium

  * unstable rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 05 Feb 2025 12:00:05 +0100

vdr-plugin-epgsearch (2.4.3-1) experimental; urgency=medium

  * change to github repo in watch file
  * New upstream version 2.4.3
  * build-depend on pkgconf instead of pkg-config
  * add myself to uploaders
  * Standards-Version: 4.7.0

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 29 Jan 2025 21:23:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config, gettext, pkg-config
-Standards-Version: 4.6.0
+Uploaders: Tobias Grimm <etobi@debian.org>,
+  Christoph Martin <martin@uni-mainz.de>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkgconf, gettext
+Standards-Version: 4.7.0
 Homepage: http://winni.vdr-developer.org/epgsearch/
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-epgsearch

## vdr-plugin-epgsearch 2.4.4

=== Makefile ===
--- 
+++ 
@@ -88,7 +88,7 @@
 ### configuring modules
 ifeq ($(AUTOCONFIG),1)
 	ifeq (exists, $(shell $(PKG_CONFIG) libpcre2-posix && echo exists))
-    REGEXLIB = pcre2
+		REGEXLIB = pcre2
 	else ifeq (exists, $(shell $(PKG_CONFIG) libpcre && echo exists))
 		REGEXLIB = pcre
 	else ifeq (exists, $(shell $(PKG_CONFIG) tre && echo exists))

=== debian/changelog ===
vdr-plugin-epgsearch (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4
  * change to my debian email

 -- Christoph Martin <chrism@debian.org>  Thu, 30 Oct 2025 20:52:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>,
-  Christoph Martin <martin@uni-mainz.de>
+  Christoph Martin <chrism@debian.org>
 Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkgconf, gettext
 Standards-Version: 4.7.0
 Homepage: http://winni.vdr-developer.org/epgsearch/

=== debian/watch ===
version=4
opts="mode=git, compression=gzip" \
 https://github.com/vdr-projects/vdr-plugin-epgsearch.git \
 refs/tags/[Vv]?(\d[\d\.]+) debian uupdate
